{
    "compilerOptions": {
	"allowJs": true,
	"resolveJsonModule": true,
	"target": "esnext",
	"module": "esnext",
	"strict": true,
	"strictPropertyInitialization": false,
	"jsx": "preserve",
	"moduleResolution": "node",
	"experimentalDecorators": true,
	"skipLibCheck": true,
	"esModuleInterop": true,
	"allowSyntheticDefaultImports": true,
	"forceConsistentCasingInFileNames": true,
	"useDefineForClassFields": true,
	"sourceMap": true,
	"baseUrl": "./src",
	"types": [
	    "webpack-env"
	],
	"paths": {
	    "@/components/*": ["components/*"],
	    "@/views/*": ["views/*"],
	    "@/db/*": ["db/*"],
	    "@/libs/*": ["libs/*"],
	    "@/constants/*": ["constants/*"],
	    "@/store/*": ["store/*"],
	},
	"lib": [
	    "esnext",
	    "dom",
	    "dom.iterable",
	    "scripthost"
	]
    },
    "include": [
	"src/**/*.ts",
	"src/**/*.tsx",
	"src/**/*.vue",
	"tests/**/*.ts",
	"tests/**/*.tsx"
    ],
    "exclude": [
	"node_modules"
    ]
}
